Avro C++

Public Member Functions | List of all members
avro::Name Class Reference

## Public Member Functions
| Name (const std::string &fullname)
| Name (std::string simpleName, std::string ns)
std::string | fullname () const
const std::string & | ns () const
const std::string & | simpleName () const
void | ns (std::string n)
void | simpleName (std::string n)
void | fullname (const std::string &n)
bool | operator< (const Name &n) const
void | check () const
bool | operator== (const Name &n) const
bool | operator!= (const Name &n) const
void | clear ()
| operator std::string () const

The documentation for this class was generated from the following file:

- api/Node.hh